Bug 446132 - pppd should support all speeds in termios.h
pppd should support all speeds in termios.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 18:09 EDT by Jason Vas Dias
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 13:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to apply to ppp-2.4.4 to support all serial speeds supported by kernel (749 bytes, patch)
2008-05-12 18:09 EDT, Jason Vas Dias
no flags Details | Diff

  None (edit)
Description Jason Vas Dias 2008-05-12 18:09:47 EDT
Description of problem:

Please could you add the new higher speeds in /usr/include/bits/termios.h
to pppd's sys-linux.c - it currently only supports speeds up to 1MB/s,
which makes use of new high speed serial cards rather pointless - eg.
my new Sierra Airport HSDPA / 3G / GSM card.

I applied the enclosed patch to make pppd support all speeds currently
supported by the Linux kernel, ie. up to 4MBs .

Version-Release number of selected component (if applicable):

ppp-2.4.4-6

How reproducible:
100%

Steps to Reproduce:
Create an /etc/ppp/peers file containing, eg. :
'
speed 4000000
'
Run 'pppd call XXX', where XXX is the name given the /etc/ppp/peers file.
 
Actual results:
pppd will emit the error message:
  'speed 4000000 is not supported'
and silently configure the default speed (9600bps).
 

Expected results:
pppd should configure the terminal with the speed requested .

Additional info:
Comment 1 Jason Vas Dias 2008-05-12 18:09:47 EDT
Created attachment 305184 [details]
Patch to apply to ppp-2.4.4 to support all serial speeds supported by kernel
Comment 2 Martin Nagy 2008-05-13 05:09:54 EDT
Hi Jason, thank you for the patch!
This is going to be fixed in ppp-2.4.4-7.fc10
I'll also submit an update for Fedora 9
Comment 3 Fedora Update System 2008-05-13 05:28:26 EDT
ppp-2.4.4-7.fc9 has been submitted as an update for Fedora 9
Comment 4 Bug Zapper 2008-05-14 07:03:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2008-05-14 18:15:03 EDT
ppp-2.4.4-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.